<div class="container">
    <div class="row">
        <div class="col-md-8">

            <form (ngSubmit)="onSubmit()" [formGroup]="commandeForm">
            <!-- on passe la directive “ngForm” dans une variable qu’on l’a nommée
            #terrainForm. Cette variable #terrainForm sera utilisée comme paramètre de la
            fonction ‘onFormSubmit’ qu’on a déjà créé dans la définition du component. -->
            <div class="form-group">
                <label>Selectionner un Terrain</label>
                <select ngModel name="nom_terrain" class="form-select" aria-label="Default select example">
                    
                    <option value="beach_volley">Beach Volley</option>
                    <option value="beach_volley2">Beach Volley 2</option>
                    <option value="Petanque">Pétanque</option>
                    <option value="Petanque2">Pétanque 2</option>
                    <option value="Badminton">Badminton 1</option>
                    <option value="Badminton2">Badminton 2</option>
                    <option value="Skate_Park">Skate Park</option>
                    <option value="Roller_Derby">Roller Derby</option>
                </select>
            <br>
                <label>Jour de réservation</label>
                <input type="Date" ngModel name="date_reservation" id="date_reservation" class="form-control">
                <br>
                <label>Heures de réservation</label>
                <input type="Date" ngModel name="start_at" id="start_at" class="form-control">
                <input type="Date" ngModel name="end_at" id="end_at" class="form-control">
            <br>
                <button class="btn btn-primary"> Valider la réservation </button>
                <!-- <button type="button" class="btn btn-danger" (ngSubmit)="resetCommandeForm()">Reset</button> -->
            </div>

        </form>

        </div>
    </div>
</div>

<div class="container">
    <table class="table">
        <thead>
            <tr>
                <th scope="col">id Commande</th>
                <th scope="col">id Terrain</th>
                <th scope="col">Date de réservation</th>
                <th scope="col">Heure de début</th>
                <th scope="col">Heure de fin</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let commande, terrain of commandeList">
                <td>{{ commande.Id_Commande }}</td>
                <td>{{ commande.Id_Terrain }}</td>
                <td>{{ commande.date_reservation }}</td>
                <td>{{ commande.start_at }}</td>
                <td>{{ commande.end_at }}</td>
                <td>
                    <!-- <button type="button" class="btn btn-info">Info</button> -->
                    <!-- <button type="button" class="btn btn-primary" (click)="edit(terrain.Id_Terrain)">Edit</button>
                    <button type="button" class="btn btn-danger" (click)="delete(terrain)">Delete</button> -->
                </td>
            </tr>
        </tbody>
    </table>
</div>


